Summary:  Library for manipulating Apple Binary and XML Property Lists
Name:     libplist
Version:  2.3.0
Release:  1%{?dist}
License:  LGPLv2+
URL:      http://www.libimobiledevice.org/
Source0:  https://github.com/libimobiledevice/libplist/releases/download/%{version}/libplist-%{version}.tar.bz2

BuildRequires: make, gcc, gcc-c++
BuildRequires: python3-Cython python3-devel python3-setuptools

%description
This package provides a library for manipulating Apple Binary and XML Property Lists.

%package  devel
Summary:  Development package for libplist
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides development headers and libraries for libplist.

%package  -n python3-libplist
Summary:  Python3 bindings for libplist
Requires: %{name} = %{version}-%{release}
Requires: python3
Provides: %{name}-python = %{version}-%{release}

%description -n python3-libplist
This package provides python3 libraries and bindings for libplist.

%prep
%autosetup -p1

%build
%configure --disable-static

%make_build

%install
%make_install
rm -rf %{buildroot}%{_libdir}/*.la

%check
make check

%files
%license COPYING.LESSER
%doc AUTHORS README.md
%{_bindir}/plistutil
%{_libdir}/libplist-2.0.so.4*
%{_libdir}/libplist++-2.0.so.4*
%{_mandir}/man1/*

%files devel
%{_libdir}/pkgconfig/libplist-2.0.pc
%{_libdir}/pkgconfig/libplist++-2.0.pc
%{_libdir}/libplist-2.0.so
%{_libdir}/libplist++-2.0.so
%{_includedir}/plist

%files -n python3-libplist
%{python3_sitearch}/plist*

%changelog
* Wed Nov 22 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.3.0-1
- upgraded to upstream 2.3.0 for kwin 5.110
- used of configure directly instead of autoconf

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Wang Guodong <gordonwwang@tencent.com> - 2.2.0-1
- package init.
